var search_data = {"index":{"searchIndex":["object","xirr","base","bisection","cashflow","newtonmethod","function","transaction","<<()","amount=()","bisection()","choose_()","compact_cf()","date=()","first_transaction_direction()","first_transaction_positive?()","format_irr()","get_answer()","inflow()","inspect()","invalid?()","invalid_message()","irr_guess()","loop_rates()","max_date()","min_date()","multiple()","new()","new()","new()","new()","other_calculation_method()","outflows()","period()","periods_from_start()","periods_of_investment()","process_options()","right_limit_reached?()","sum()","switch_fallback()","valid?()","values()","xirr()","xirr()","xirr()","xnpv()"],"longSearchIndex":["object","xirr","xirr::base","xirr::bisection","xirr::cashflow","xirr::newtonmethod","xirr::newtonmethod::function","xirr::transaction","xirr::cashflow#<<()","xirr::transaction#amount=()","xirr::bisection#bisection()","xirr::cashflow#choose_()","xirr::cashflow#compact_cf()","xirr::transaction#date=()","xirr::cashflow#first_transaction_direction()","xirr::cashflow#first_transaction_positive?()","xirr::bisection#format_irr()","xirr::bisection#get_answer()","xirr::cashflow#inflow()","xirr::transaction#inspect()","xirr::cashflow#invalid?()","xirr::cashflow#invalid_message()","xirr::cashflow#irr_guess()","xirr::bisection#loop_rates()","xirr::cashflow#max_date()","xirr::cashflow#min_date()","xirr::cashflow#multiple()","xirr::base::new()","xirr::cashflow::new()","xirr::newtonmethod::function::new()","xirr::transaction::new()","xirr::cashflow#other_calculation_method()","xirr::cashflow#outflows()","xirr::cashflow#period()","xirr::base#periods_from_start()","xirr::cashflow#periods_of_investment()","xirr::cashflow#process_options()","xirr::bisection#right_limit_reached?()","xirr::cashflow#sum()","xirr::cashflow#switch_fallback()","xirr::cashflow#valid?()","xirr::newtonmethod::function#values()","xirr::bisection#xirr()","xirr::cashflow#xirr()","xirr::newtonmethod#xirr()","xirr::base#xnpv()"],"info":[["Object","","Object.html","",""],["Xirr","","Xirr.html","","<p>@abstract adds a {Xirr::Cashflow} and {Xirr::Transaction} classes to calculate IRR of irregular transactions. …\n"],["Xirr::Base","","Xirr/Base.html","","<p>Base module for XIRR calculation Methods\n"],["Xirr::Bisection","","Xirr/Bisection.html","","<p>Methods that will be included in Cashflow to calculate XIRR\n"],["Xirr::Cashflow","","Xirr/Cashflow.html","","<p>Expands [Array] to store a set of transactions which will be used to calculate the XIRR @note A Cashflow …\n"],["Xirr::NewtonMethod","","Xirr/NewtonMethod.html","","<p>Class to calculate IRR using Newton Method\n"],["Xirr::NewtonMethod::Function","","Xirr/NewtonMethod/Function.html","","<p>Base class for working with Newton&#39;s Method. @api private\n"],["Xirr::Transaction","","Xirr/Transaction.html","","<p>A unit of the Cashflow.\n"],["<<","Xirr::Cashflow","Xirr/Cashflow.html#method-i-3C-3C","(arg)",""],["amount=","Xirr::Transaction","Xirr/Transaction.html#method-i-amount-3D","(value)","<p>Sets the amount @param value [Numeric] @return [Float]\n"],["bisection","Xirr::Bisection","Xirr/Bisection.html#method-i-bisection","(left, midpoint, right)","<p>@param left [BigDecimal] @param midpoint [BigDecimal] @param right [BigDecimal] @return [Array] Calculates …\n"],["choose_","Xirr::Cashflow","Xirr/Cashflow.html#method-i-choose_","(method)","<p>@param method [Symbol] Choose a Method to call. @return [Class]\n"],["compact_cf","Xirr::Cashflow","Xirr/Cashflow.html#method-i-compact_cf","()",""],["date=","Xirr::Transaction","Xirr/Transaction.html#method-i-date-3D","(value)","<p>Sets the date @param value [Date, Time] @return [Date]\n"],["first_transaction_direction","Xirr::Cashflow","Xirr/Cashflow.html#method-i-first_transaction_direction","()","<p>@api private Sorts the {Cashflow} by date ascending\n\n<pre>and finds the signal of the first transaction.</pre>\n<p>This …\n"],["first_transaction_positive?","Xirr::Cashflow","Xirr/Cashflow.html#method-i-first_transaction_positive-3F","()",""],["format_irr","Xirr::Bisection","Xirr/Bisection.html#method-i-format_irr","(left, right)","<p>@param left [Float] @param right [Float] @return [Float] IRR of the Cashflow\n"],["get_answer","Xirr::Bisection","Xirr/Bisection.html#method-i-get_answer","(midpoint, options, runs)",""],["inflow","Xirr::Cashflow","Xirr/Cashflow.html#method-i-inflow","()","<p>@api private @return [Array] @see #outflows Selects all positives transactions from Cashflow\n"],["inspect","Xirr::Transaction","Xirr/Transaction.html#method-i-inspect","()","<p>@return [String]\n"],["invalid?","Xirr::Cashflow","Xirr/Cashflow.html#method-i-invalid-3F","()","<p>Check if Cashflow is invalid @return [Boolean]\n"],["invalid_message","Xirr::Cashflow","Xirr/Cashflow.html#method-i-invalid_message","()","<p>@return [String] Error message depending on the missing transaction\n"],["irr_guess","Xirr::Cashflow","Xirr/Cashflow.html#method-i-irr_guess","()","<p>Calculates a simple IRR guess based on period of investment and multiples. @return [Float]\n"],["loop_rates","Xirr::Bisection","Xirr/Bisection.html#method-i-loop_rates","(left, midpoint, right, iteration_limit)",""],["max_date","Xirr::Cashflow","Xirr/Cashflow.html#method-i-max_date","()","<p>Last investment date @return [Time]\n"],["min_date","Xirr::Cashflow","Xirr/Cashflow.html#method-i-min_date","()","<p>First investment date @return [Time]\n"],["multiple","Xirr::Cashflow","Xirr/Cashflow.html#method-i-multiple","()","<p>Based on the direction of the first investment finds the multiple cash-on-cash @example\n\n<pre class=\"ruby\">[<span class=\"ruby-value\">100</span>,<span class=\"ruby-value\">100</span>,<span class=\"ruby-value\">-300</span>] <span class=\"ruby-operator\">...</span>\n</pre>\n"],["new","Xirr::Base","Xirr/Base.html#method-c-new","(cf)","<p>@param cf [Cashflow] Must provide the calling Cashflow in order to calculate\n"],["new","Xirr::Cashflow","Xirr/Cashflow.html#method-c-new","(flow: [], period: Xirr::PERIOD, ** options)","<p>@param args [Transaction] @example Creating a Cashflow\n\n<pre>cf = Cashflow.new\ncf &lt;&lt; Transaction.new( 1000, ...</pre>\n"],["new","Xirr::NewtonMethod::Function","Xirr/NewtonMethod/Function.html#method-c-new","(transactions, function)","<p>@param transactions [Cashflow] @param function [Symbol] Initializes the Function with the Cashflow it …\n"],["new","Xirr::Transaction","Xirr/Transaction.html#method-c-new","(amount, opts={})","<p>@example\n\n<pre class=\"ruby\"><span class=\"ruby-constant\">Transaction</span>.<span class=\"ruby-identifier\">new</span> <span class=\"ruby-value\">-1000</span>, <span class=\"ruby-value\">date:</span> <span class=\"ruby-constant\">Date</span>.<span class=\"ruby-identifier\">now</span>\n</pre>\n<p>@param amount [Numeric] @param opts [Hash] @note Don&#39;t …\n"],["other_calculation_method","Xirr::Cashflow","Xirr/Cashflow.html#method-i-other_calculation_method","(method)",""],["outflows","Xirr::Cashflow","Xirr/Cashflow.html#method-i-outflows","()","<p>@api private @return [Array] @see #inflow Selects all negatives transactions from Cashflow\n"],["period","Xirr::Cashflow","Xirr/Cashflow.html#method-i-period","()",""],["periods_from_start","Xirr::Base","Xirr/Base.html#method-i-periods_from_start","(date)","<p>Calculates days until last transaction @return [Rational] @param date [Date]\n"],["periods_of_investment","Xirr::Cashflow","Xirr/Cashflow.html#method-i-periods_of_investment","()","<p>@api private Counts how many years from first to last transaction in the cashflow @return\n"],["process_options","Xirr::Cashflow","Xirr/Cashflow.html#method-i-process_options","(method, options)",""],["right_limit_reached?","Xirr::Bisection","Xirr/Bisection.html#method-i-right_limit_reached-3F","(midpoint)","<p>@param midpoint [BigDecimal] @return [Boolean] Checks if result is the right limit.\n"],["sum","Xirr::Cashflow","Xirr/Cashflow.html#method-i-sum","()","<p>@return [Float] Sums all amounts in a cashflow\n"],["switch_fallback","Xirr::Cashflow","Xirr/Cashflow.html#method-i-switch_fallback","(method)","<p>If method is defined it will turn off fallback it return either the provided method or the system default …\n"],["valid?","Xirr::Cashflow","Xirr/Cashflow.html#method-i-valid-3F","()","<p>Inverse of #invalid? @return [Boolean]\n"],["values","Xirr::NewtonMethod::Function","Xirr/NewtonMethod/Function.html#method-i-values","(x)","<p>Necessary for #nlsolve @param x [BigDecimal]\n"],["xirr","Xirr::Bisection","Xirr/Bisection.html#method-i-xirr","(midpoint, options)","<p>Calculates yearly Internal Rate of Return @return [BigDecimal] @param midpoint [Float] An initial guess …\n"],["xirr","Xirr::Cashflow","Xirr/Cashflow.html#method-i-xirr","(guess: nil, method: nil, ** options)","<p>@param guess [Float] @param method [Symbol] @return [Float]\n"],["xirr","Xirr::NewtonMethod","Xirr/NewtonMethod.html#method-i-xirr","(guess, options)","<p>Calculates XIRR using Newton method @return [BigDecimal] @param guess [Float]\n"],["xnpv","Xirr::Base","Xirr/Base.html#method-i-xnpv","(rate)","<p>Net Present Value function that will be used to reduce the cashflow @param rate [BigDecimal] @return …\n"]]}}